VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Ascii Finder"
   ClientHeight    =   3780
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6855
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3780
   ScaleWidth      =   6855
   StartUpPosition =   2  'CenterScreen
   Begin VB.TextBox Text1 
      BackColor       =   &H00FFFFFF&
      ForeColor       =   &H00000000&
      Height          =   2850
      Left            =   0
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   3
      Top             =   360
      Width           =   6855
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      ItemData        =   "frmMain.frx":0742
      Left            =   0
      List            =   "frmMain.frx":0744
      Sorted          =   -1  'True
      Style           =   2  'Dropdown List
      TabIndex        =   2
      TabStop         =   0   'False
      Top             =   0
      Width           =   3645
   End
   Begin VB.CommandButton cmdQuit 
      Caption         =   "&Quit"
      Height          =   465
      Left            =   6345
      TabIndex        =   0
      TabStop         =   0   'False
      Top             =   -45
      Width           =   555
   End
   Begin VB.CommandButton cmdSize 
      Caption         =   "Font S&ize"
      Height          =   465
      Left            =   5535
      TabIndex        =   1
      TabStop         =   0   'False
      Top             =   -45
      Width           =   825
   End
   Begin VB.CommandButton cmdSearch 
      Caption         =   "Ascii S&earch"
      Height          =   465
      Left            =   4500
      TabIndex        =   10
      TabStop         =   0   'False
      Top             =   -45
      Width           =   1050
   End
   Begin VB.Label Label6 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "About"
      ForeColor       =   &H00FF0000&
      Height          =   195
      Left            =   6300
      TabIndex        =   9
      ToolTipText     =   "About"
      Top             =   3600
      Width           =   420
   End
   Begin VB.Label Label5 
      AutoSize        =   -1  'True
      Caption         =   "COPY:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   4680
      TabIndex        =   8
      Top             =   3375
      Width           =   570
   End
   Begin VB.Label Label4 
      AutoSize        =   -1  'True
      Caption         =   "C&haracter"
      Height          =   195
      Left            =   5265
      TabIndex        =   7
      ToolTipText     =   "Click to Copy the Alphanumeric Character to the Clipboard"
      Top             =   3510
      Width           =   690
   End
   Begin VB.Label Label3 
      AutoSize        =   -1  'True
      Caption         =   "Ascii C&ode"
      ForeColor       =   &H00000000&
      Height          =   195
      Left            =   5265
      TabIndex        =   6
      ToolTipText     =   "Click to Copy the ASCII Code to the Clipboard"
      Top             =   3285
      Width           =   750
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Center
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   18
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00000000&
      Height          =   510
      Left            =   6075
      TabIndex        =   5
      Top             =   3240
      Width           =   780
   End
   Begin VB.Label Label1 
      Caption         =   "INFOTEXT"
      Height          =   510
      Left            =   45
      TabIndex        =   4
      Top             =   3240
      Width           =   4620
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdSearch_Click()
    On Error GoTo bailOut
    Dim asciiChar As Integer
    asciiChar = InputBox("Enter Ascii code:", "Ascii Search")
    If asciiChar < 0 Or asciiChar > 255 Then
        MsgBox "Ascii character must be between 0 and 255", vbExclamation, "Error"
        Exit Sub
    End If
    Text1.SelLength = 0
    Text1.SelStart = (asciiChar * 2) - 1
    Text1.SelLength = 1
    Label1.Caption = "ASCII Code: " & Asc(Text1.SelText)
    Label1.Caption = Label1.Caption & vbCrLf & "Alphanumeric Representation: " & Text1.SelText
    Label2.Caption = Text1.SelText
    Text1.SetFocus
bailOut:
    Text1.SetFocus
End Sub

Private Sub Form_Activate()
    Form1.Enabled = False
    Dim a As Variant
    For a = 0 To Screen.FontCount - 1
        Form1.Caption = "Ascii Finder: Loading System Fonts " & a * 100 \ Screen.FontCount & "%"
        DoEvents
        Combo1.AddItem Screen.Fonts(a)
    Next a
    Form1.Caption = "Ascii Finder"
    Text1.Text = Chr(0)
    For a = 1 To 255
        Text1.Text = Text1.Text & " " & Chr(a)
    Next a
    Text1.SelStart = 1
    Text1.SelLength = 1
    Label1.Caption = "ASCII Code: " & Asc(Text1.SelText)
    Label1.Caption = Label1.Caption & vbCrLf & "Alphanumeric Representation: " & Text1.SelText
    Label2.Caption = Text1.SelText
    Form1.Enabled = True
    Text1.SetFocus
End Sub

Private Sub Form_Load()
    Label2.FontSize = 20
    Label1.Caption = ""
End Sub

Private Sub Label6_Click()
    MsgBox "Ascii Finder" & vbCrLf & "Version: " & App.Major & "." & App.Minor & "." & App.Revision & vbCrLf & _
    Chr(169) & "1999 Blitz Entertainment" & vbCrLf & vbCrLf & "If you find this app usefull or not, tell me why" & vbCrLf & _
    "and what you would like to see in future versions " & vbCrLf & _
    "and I'll let you know when a new version is out." & vbCrLf & vbCrLf _
    & "Send me a buzz at:" & vbCrLf & "Jian_man@geocities.com", vbInformation, "About Ascii Finder"
    Text1.SetFocus
End Sub

Private Sub cmdQuit_Click()
    Unload Me
    End
End Sub

Private Sub Combo1_Click()
    Text1.FontName = Combo1.List(Combo1.ListIndex)
    Label2.FontName = Combo1.List(Combo1.ListIndex)
    Text1.SetFocus
End Sub

Private Sub cmdSize_Click()
    Dim size As String
    size = InputBox("Enter Font Size:", "Font Size", Text1.FontSize)
    If size <> "" Then Text1.FontSize = size
    Text1.SetFocus
End Sub
 
Private Sub Label3_Click()
    On Error GoTo bailOut
    Clipboard.Clear
    Clipboard.SetText Asc(Text1.SelText)
bailOut:
End Sub

Private Sub Label3_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Label3.ForeColor = &HFF&
End Sub

Private Sub Label3_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Label3.ForeColor = &H0&
End Sub

Private Sub Label4_Click()
    On Error GoTo bailOut
    Clipboard.Clear
    Clipboard.SetText Text1.SelText
bailOut:
End Sub

Private Sub Label4_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Label4.ForeColor = &HFF&
End Sub

Private Sub Label4_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Label4.ForeColor = &H0&
End Sub

Private Sub Text1_Click()
    On Error GoTo bailOut
    Text1.SelLength = 1
    If Text1.SelText <> " " Then
        Label1.Caption = "ASCII Code: " & Asc(Text1.SelText)
        Label1.Caption = Label1.Caption & vbCrLf & "Alphanumeric Representation: " & Text1.SelText
        Label2.Caption = Text1.SelText
    Else
        Text1.SelLength = 0
        Text1.SelStart = Text1.SelStart - 1
        Text1.SelLength = 1
        Label1.Caption = "ASCII Code: " & Asc(Text1.SelText)
        Label1.Caption = Label1.Caption & vbCrLf & "Alphanumeric Representation: " & Text1.SelText
        Label2.Caption = Text1.SelText
    End If
    Text1.SetFocus
bailOut:
End Sub

Private Sub Text1_KeyUp(KeyCode As Integer, Shift As Integer)
    On Error GoTo bailOut
    Text1.SelLength = 1
    If Text1.SelText <> " " Then
        Label1.Caption = "ASCII Code: " & Asc(Text1.SelText)
        Label1.Caption = Label1.Caption & vbCrLf & "Alphanumeric Representation: " & Text1.SelText
        Label2.Caption = Text1.SelText
    Else
        Text1.SelLength = 0
        Text1.SelStart = Text1.SelStart - 1
        Text1.SelLength = 1
        Label1.Caption = "ASCII Code: " & Asc(Text1.SelText)
        Label1.Caption = Label1.Caption & vbCrLf & "Alphanumeric Representation: " & Text1.SelText
        Label2.Caption = Text1.SelText
    End If
    Text1.SetFocus
bailOut:
End Sub
